gtkmm: Gtk::Buildable Class Reference

gtkmm 3.6.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::Buildable Class Reference

A base class for objects that can be built by Gtk::Builder. More...

Inheritance diagram for Gtk::Buildable:
[legend]

List of all members.

## Public Member Functions
virtual | ~Buildable ()
GtkBuildable* | gobj ()
| Provides access to the underlying C GObject.
const GtkBuildable* | gobj () const
| Provides access to the underlying C GObject.
void | set_name (const Glib::ustring& name)
| Sets the name of the buildable object.
Glib::ustring | get_name () const
| Gets the name of the buildable object.
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Glib::Interface
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A base class for objects that can be built by Gtk::Builder.

Buildable allows objects to extend and customize thier deserialization from Gtk::Builder UI descriptions. The interface includes methods for setting names and properties of objects, parsing custom tags and constructing child objects.

All gtkmm widgets, and many non-widget objects, derive from this base class. The main user of this interface is Gtk::Builder. There should be very little need for applications to call any of Buildable's methods.

Since gtkmm 3.0:

## Constructor & Destructor Documentation

Gtk::Buildable::Buildable | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gtk::Buildable::~Buildable | ( |  | ) |
| virtual

## Member Function Documentation

static void Gtk::Buildable::add_interface | ( | GType | gtype_implementer | ) |
| static

Glib::ustring Gtk::Buildable::get_name | ( |  | ) | const

Gets the name of the buildable object.

Gtk::Builder sets the name based on the GtkBuilder UI definition used to construct the buildable.

Since gtkmm 2.12:

Returns:
  The name set with set_name().

Reimplemented in Gtk::Widget, Gtk::Action, and Gtk::ActionGroup.

static GType Gtk::Buildable::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented in Gtk::FontSelectionDialog, Gtk::ColorSelectionDialog, Gtk::Widget, Gtk::Window, Gtk::TreeView, Gtk::HScale, Gtk::HScrollbar, Gtk::HBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::HSeparator, Gtk::VPaned, Gtk::ToolPalette, Gtk::SpinButton, Gtk::Dialog, Gtk::CellArea, Gtk::TextView, Gtk::AboutDialog, Gtk::Image, Gtk::LevelBar, Gtk::IconView, Gtk::Socket, Gtk::Entry, Gtk::SizeGroup, Gtk::Box, Gtk::MessageDialog, Gtk::Notebook, Gtk::Assistant, Gtk::Table, Gtk::ApplicationWindow, Gtk::MenuBar, Gtk::Action, Gtk::ComboBox, Gtk::Paned, Gtk::ProgressBar, Gtk::EntryCompletion, Gtk::OffscreenWindow, Gtk::FontSelection, Gtk::ButtonBox, Gtk::Container, Gtk::VScrollbar, Gtk::ColorSelection, Gtk::Expander, Gtk::VButtonBox, Gtk::VScale, Gtk::Grid, Gtk::InfoBar, Gtk::PrintUnixDialog, Gtk::AppChooserDialog, Gtk::CellView, Gtk::VSeparator, Gtk::FileChooserButton, Gtk::ScrolledWindow, Gtk::VBox, Gtk::CellAreaBox, Gtk::LinkButton, Gtk::RecentChooserDialog, Gtk::ScaleButton, Gtk::Scrollbar, Gtk::HPaned, Gtk::HandleBox, Gtk::ListStore, Gtk::RecentAction, Gtk::Toolbar, Gtk::AppChooserWidget, Gtk::MenuItem, Gtk::Button, Gtk::Layout, Gtk::RecentChooserMenu, Gtk::Alignment, Gtk::AppChooserButton, Gtk::Arrow, Gtk::ColorButton, Gtk::FontChooserDialog, Gtk::FontChooserWidget, Gtk::Scale, Gtk::SearchEntry, Gtk::TreeStore, Gtk::Fixed, Gtk::FontButton, Gtk::Frame, Gtk::MenuShell, Gtk::RecentChooserWidget, Gtk::Statusbar, Gtk::Menu, Gtk::TearoffMenuItem, Gtk::ToolItem, Gtk::CheckButton, Gtk::EventBox, Gtk::FileChooserWidget, Gtk::Label, Gtk::MenuButton, Gtk::ToolItemGroup, Gtk::AspectFrame, Gtk::ComboBoxText, Gtk::RadioButton, Gtk::Switch, Gtk::PageSetupUnixDialog, Gtk::Plug, Gtk::ColorChooserDialog, Gtk::FileChooserDialog, Gtk::ImageMenuItem, Gtk::Misc, Gtk::Separator, Gtk::SeparatorToolItem, Gtk::Bin, Gtk::MenuToolButton, Gtk::RadioToolButton, Gtk::ToggleToolButton, Gtk::VolumeButton, Gtk::RadioMenuItem, Gtk::Range, Gtk::Viewport, Gtk::CheckMenuItem, Gtk::SeparatorMenuItem, Gtk::Spinner, Gtk::ToggleButton, Gtk::AccelLabel, Gtk::ToolButton, Gtk::DrawingArea, Gtk::Invisible, Gtk::RadioAction, Gtk::ActionGroup, and Gtk::ToggleAction.

GtkBuildable* Gtk::Buildable::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::FontSelectionDialog, Gtk::ColorSelectionDialog, Gtk::Widget, Gtk::Window, Gtk::TreeView, Gtk::HScale, Gtk::HScrollbar, Gtk::HBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::HSeparator, Gtk::VPaned, Gtk::ToolPalette, Gtk::SpinButton, Gtk::Dialog, Gtk::CellArea, Gtk::TextView, Gtk::AboutDialog, Gtk::Image, Gtk::LevelBar, Gtk::IconView, Gtk::Socket, Gtk::Entry, Gtk::SizeGroup, Gtk::Box, Gtk::MessageDialog, Gtk::Notebook, Gtk::Assistant, Gtk::Table, Gtk::ApplicationWindow, Gtk::MenuBar, Gtk::Action, Gtk::ComboBox, Gtk::Paned, Gtk::ProgressBar, Gtk::EntryCompletion, Gtk::OffscreenWindow, Gtk::FontSelection, Gtk::ButtonBox, Gtk::Container, Gtk::VScrollbar, Gtk::ColorSelection, Gtk::Expander, Gtk::VButtonBox, Gtk::VScale, Gtk::Grid, Gtk::InfoBar, Gtk::PrintUnixDialog, Gtk::AppChooserDialog, Gtk::CellView, Gtk::VSeparator, Gtk::FileChooserButton, Gtk::ScrolledWindow, Gtk::VBox, Gtk::CellAreaBox, Gtk::LinkButton, Gtk::RecentChooserDialog, Gtk::ScaleButton, Gtk::Scrollbar, Gtk::HPaned, Gtk::HandleBox, Gtk::ListStore, Gtk::RecentAction, Gtk::Toolbar, Gtk::AppChooserWidget, Gtk::MenuItem, Gtk::Button, Gtk::Layout, Gtk::RecentChooserMenu, Gtk::Alignment, Gtk::AppChooserButton, Gtk::Arrow, Gtk::ColorButton, Gtk::FontChooserDialog, Gtk::FontChooserWidget, Gtk::Scale, Gtk::SearchEntry, Gtk::TreeStore, Gtk::Fixed, Gtk::FontButton, Gtk::Frame, Gtk::MenuShell, Gtk::RecentChooserWidget, Gtk::Statusbar, Gtk::Menu, Gtk::TearoffMenuItem, Gtk::ToolItem, Gtk::CheckButton, Gtk::EventBox, Gtk::FileChooserWidget, Gtk::Label, Gtk::MenuButton, Gtk::ToolItemGroup, Gtk::AspectFrame, Gtk::ComboBoxText, Gtk::RadioButton, Gtk::Switch, Gtk::PageSetupUnixDialog, Gtk::Plug, Gtk::ColorChooserDialog, Gtk::FileChooserDialog, Gtk::ImageMenuItem, Gtk::Misc, Gtk::Separator, Gtk::SeparatorToolItem, Gtk::Bin, Gtk::MenuToolButton, Gtk::RadioToolButton, Gtk::ToggleToolButton, Gtk::VolumeButton, Gtk::RadioMenuItem, Gtk::Range, Gtk::Viewport, Gtk::CheckMenuItem, Gtk::SeparatorMenuItem, Gtk::Spinner, Gtk::ToggleButton, Gtk::AccelLabel, Gtk::ToolButton, Gtk::DrawingArea, Gtk::Invisible, Gtk::RadioAction, Gtk::ActionGroup, and Gtk::ToggleAction.

const GtkBuildable* Gtk::Buildable::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::FontSelectionDialog, Gtk::ColorSelectionDialog, Gtk::Widget, Gtk::Window, Gtk::TreeView, Gtk::HScale, Gtk::HScrollbar, Gtk::HBox, Gtk::HButtonBox, Gtk::Calendar, Gtk::HSeparator, Gtk::VPaned, Gtk::ToolPalette, Gtk::SpinButton, Gtk::Dialog, Gtk::CellArea, Gtk::TextView, Gtk::AboutDialog, Gtk::Image, Gtk::LevelBar, Gtk::IconView, Gtk::Socket, Gtk::Entry, Gtk::SizeGroup, Gtk::Box, Gtk::MessageDialog, Gtk::Notebook, Gtk::Assistant, Gtk::Table, Gtk::ApplicationWindow, Gtk::MenuBar, Gtk::Action, Gtk::ComboBox, Gtk::Paned, Gtk::ProgressBar, Gtk::EntryCompletion, Gtk::OffscreenWindow, Gtk::FontSelection, Gtk::ButtonBox, Gtk::Container, Gtk::VScrollbar, Gtk::ColorSelection, Gtk::Expander, Gtk::VButtonBox, Gtk::VScale, Gtk::Grid, Gtk::InfoBar, Gtk::PrintUnixDialog, Gtk::AppChooserDialog, Gtk::CellView, Gtk::VSeparator, Gtk::FileChooserButton, Gtk::ScrolledWindow, Gtk::VBox, Gtk::CellAreaBox, Gtk::LinkButton, Gtk::RecentChooserDialog, Gtk::ScaleButton, Gtk::Scrollbar, Gtk::HPaned, Gtk::HandleBox, Gtk::ListStore, Gtk::RecentAction, Gtk::Toolbar, Gtk::AppChooserWidget, Gtk::MenuItem, Gtk::Button, Gtk::Layout, Gtk::RecentChooserMenu, Gtk::Alignment, Gtk::AppChooserButton, Gtk::Arrow, Gtk::ColorButton, Gtk::FontChooserDialog, Gtk::FontChooserWidget, Gtk::Scale, Gtk::SearchEntry, Gtk::TreeStore, Gtk::Fixed, Gtk::FontButton, Gtk::Frame, Gtk::MenuShell, Gtk::RecentChooserWidget, Gtk::Statusbar, Gtk::Menu, Gtk::TearoffMenuItem, Gtk::ToolItem, Gtk::CheckButton, Gtk::EventBox, Gtk::FileChooserWidget, Gtk::Label, Gtk::MenuButton, Gtk::ToolItemGroup, Gtk::AspectFrame, Gtk::ComboBoxText, Gtk::RadioButton, Gtk::Switch, Gtk::PageSetupUnixDialog, Gtk::Plug, Gtk::ColorChooserDialog, Gtk::FileChooserDialog, Gtk::ImageMenuItem, Gtk::Misc, Gtk::Separator, Gtk::SeparatorToolItem, Gtk::Bin, Gtk::MenuToolButton, Gtk::RadioToolButton, Gtk::ToggleToolButton, Gtk::VolumeButton, Gtk::RadioMenuItem, Gtk::Range, Gtk::Viewport, Gtk::CheckMenuItem, Gtk::SeparatorMenuItem, Gtk::Spinner, Gtk::ToggleButton, Gtk::AccelLabel, Gtk::ToolButton, Gtk::DrawingArea, Gtk::Invisible, Gtk::RadioAction, Gtk::ActionGroup, and Gtk::ToggleAction.

void Gtk::Buildable::set_name | ( | const Glib::ustring & | name | ) |

Sets the name of the buildable object.

Since gtkmm 2.12:

Parameters:

  name | Name to set.

Reimplemented in Gtk::Widget.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Buildable > wrap | ( | GtkBuildable * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/buildable.h